%%%% an example of how to use the other scripts..
% start up matlab
% can then just type in 
% example
% and it will run this script
% I prefer to paste in sections of the below from a text file
% since the below stuff you will want to edit often..

filename='/home/sarah/data/joint/cosmomc/aml_29may02_1201/test_thin.txt'
fid=fopen(filename)
data=fscanf(fid,'%g',[19 8487]);
fclose(fid);
count=data(1,:);
like=data(2,:);
data(5,:)=data(5,:)/100; % I prefer h rather than H0
% make some new derived quantities
%data(20,:)=
% 3    4     5     6   7   8   9 10 11 12 13 14  15  16 17  18 19  
% obh2 odmh2 h*100 zre omk fnu w ns nt -  as ast tau -  age om sig8
names=strvcat('Weight','Likelihood', ...
'\Omega_b h^2','\Omega_{DM} h^2','h','z_{re}','\Omega_{\rm K}', ...
'f_{nu}','w','n_s','n_t','-','A_s','A_t','\tau','-','Age', ...
'\Omega_m','\sigma_8')
path(path,'mscripts')

ipars=[19 5 18 3 10 6 4]
clf
h1=plotpars1d(data,count,names,ipars,'r')

% hst kp, importance sample
mean=0.7; sigma=0.07;
chisq=((data(5,:)-mean)./sigma).^2;
hstkpcount=count.*exp(-chisq/2)/sqrt(2*pi*sigma^2);

hold on
h2=plotpars1d(data,hstkpcount,names,ipars,'b')

lw=1.5; fs=14;
set([h1 h2],'linewidth',lw)

legend([h1(1) h2(1)],'none','hstkp')
% you can drag the legend around using the mouse..

print('-dpsc','trash.ps')
