function h=plotpars1d(data,count,names,ipars,col,smw)
% PLOTPARS1d(DATA,COUNT,NAMES,IPARS,COL) plots 1d probability distributions
%  for the rows IPARS of DATA in colour COL. Weights each sample by COUNT.
%
% PLOTPARS1d(DATA,COUNT,NAMES,IPARS,COL,S) uses a Gaussian smoothing
%  kernel of width S (as a fraction of the box size) (default is 0.03).

% SLB

if (~(exist('smw'))) smw=0.03; end

nxsp=floor(sqrt(length(ipars)));
nysp=ceil(length(ipars)/nxsp);

washeld=ishold;

for i=1:length(ipars)
  subplot(nxsp,nysp,i)
  if (washeld) hold on; end
  [p x]=samp2prob1d(data(ipars(i),:),count,smw);
  if (length(x)>1)
    xstep=x(2)-x(1);
    pnorm=p/max(p);
    h(i)=plot(x,pnorm,[col,'-']);
    axis([x(1) x(length(x)) 0 max(pnorm)*1.05])
  end
  xlabel(names(ipars(i),:))
  ylabel('Probability')
end
